public class Adresse 
{
	// --- Instanzvariablen ---  
	private String strasse;
	private int nummer;
	private int postleitzahl;
	private String wohnort;
	
	// --- Konstruktoren --- 
	public Adresse(String str, int nr, int plz, String ort)
	{
		strasse      = str;
		nummer       = nr;
		wohnort      = ort;
		if (plz >= 10000 && plz <= 99999) 
			postleitzahl = plz;
		else
			System.out.println("Falscher Postleitzahlwert");
	}
	
	// --- Methoden ---
	public String getAdresse()
	{
		return strasse + " " + nummer + ", " + postleitzahl + " " + wohnort;
	}
	public String getStrasse()
	{
		return strasse;
	}
	public int getPlz()
	{
		return postleitzahl;
	}
	public void setStrasse(String str)
	{
		strasse = str;
	}
	public void setPlz(int plz)
	{
		if (plz >= 10000 && plz <= 99999) 
			postleitzahl = plz;		
	}
}


	

