public class ExceptionBehandlung
{
	public static void main(String[] args)
	{
		String s = "10+";
		try
		{
			int zahl = Integer.parseInt(s);
			System.out.printf("Zahl = %d\n", zahl);
		}
		catch (NumberFormatException e)
		{
			System.out.println("NumberFormatException abgefangen, Fehlertyp: " +  e.getMessage());
		}
		catch (IndexOutOfBoundsException e) 
		{
			System.out.println("IndexOutOfBoundsException abgefangen, Fehlertyp: " +  e.getMessage());
		}
		catch (Exception e) 
		{
			System.out.println("Exception abgefangen, Fehlertyp: " +  e.getMessage());
		}
	}
}

/*

public class ExceptionBehandlung
{
	public static double division(double zaehler, double nenner) throws Exception 
	{
		if(nenner == 0.0)
			throw new Exception("Division durch null!");
		else
			return zaehler/nenner;
	}
	
	public static void main(String[] args)
	{
		double zaehler = 2; 
		double nenner  = 0; 
		try
		{
			double bruch = division(zaehler, nenner);
			System.out.println(zaehler + " : " + nenner + " = " + bruch);
		}
		catch (Exception e)
		{
			System.out.println("Exception abgefangen: " + e.getMessage()); 
		}
	}
}
	
*/