public class Kreis 
{
	// --- Instanzvariablen --- 
	private double radius;  // Radius des Kreises
	private double x, y;    // Mittelpunkt 
	// --- Klassenvariablen ---
	private static int anzahl=0;
	
	// --- Konstruktoren --- 
	public Kreis(double r, double x, double y)
	{
		this.x = x;
		this.y = y;
		if (r > 0)
			radius = r;  
		anzahl++;
	}
	public Kreis()  
	{
		this(1, 0, 0); 
	}
	public Kreis(double r)
	{
		this(r, 0, 0); 
	}
	// Berechnen der Kreisflche	
	public double getFlaeche() 
	{
		return Math.PI * radius * radius;
	}
	// Verschieben des Kreismittelpunktes
	public void verschiebe(int dx, int dy) 
	{
		x = x + dx;
		y = y + dy;
	}
	public double getRadius()
	{
		return radius;
	}	
	public double[] getMittelpunkt()
	{
		return new double[]{x, y};
	}
	public void setRadius(double r)
	{ 
		if (r > 0)
			radius = r;
	}
	public void setMittelpunkt(double x, double y)
	{
		this.x = x;
		this.y = y;
	}
	public static int getAnzahl()
	{
		return anzahl;
	}
}





