public class Moebel 
{
	protected String bezeichner;
	protected int nummer;
	public Moebel(String bez, int nr)
	{
		bezeichner = bez;
		nummer     = nr; 
	}
	public double getPreis()
	{
		return 100;
	}
}

class Tisch extends Moebel
{
	protected int personenzahl;
	public Tisch(String bez, int nr, int pz)
	{
		super(bez, nr);
		personenzahl = pz;
	}
	@Override
	public double getPreis()
	{
		return super.getPreis() + personenzahl * 80;
	}
}

class Schrank extends Moebel
{
	protected int tuerenzahl;
	public Schrank(String bez, int nr, int tz)
	{
		super(bez, nr);
		tuerenzahl = tz;
	}
	@Override
	public double getPreis()
	{
		return super.getPreis() + tuerenzahl * 50;
	}
}

