public class Person 
{
	// --- Instanzvariablen ---
	private String name;
	private String vorname;
	private Adresse adresse;
	// --- Klassenvariable ---
	private static int anzahl;
	
	// --- Konstruktoren ---  
	public Person(String name, String vorname, Adresse adresse)
	{
		this.name    = name;
		this.vorname = vorname;
		this.adresse = adresse;
		anzahl++;
	}
	
	// --- Methoden ---
	public String getAnschrift()
	{
		return vorname + " " + name + ", " + adresse.getAdresse();
	}
	public Person getPerson()
	{
		return this;
	}
	public static int getAnzahl()
	{
		return anzahl;
	}
}




class TestPerson
{
	public static void main(String[] args) 
	{
		Adresse a[] = new Adresse[2];
		Person p[]  = new Person[2];
		a[0] = new Adresse("Schtzlestrae", 10, 78534, "Schwabingen"); 
		a[1] = new Adresse("Katharinenstrae ", 6, 20459, "Hamburg"); 
		p[0] = new Person("Paul", "Mllerle", a[0]);
		p[1] = new Person("Ute", "Schmitt", a[1]); 
		for(int i=0; i<p.length; i++)
			System.out.println(p[i].getAnschrift());
		System.out.println("Anzahl der Personen: " + Person.getAnzahl());
	}
}

/*
	
	public static void main(String[] args) 
	{
		ArrayList<Adresse> addressliste = new ArrayList<Adresse>(); 
		ArrayList<Person> personliste   = new ArrayList<Person>(); 
		addressliste.add(new Adresse("Schtzlestrae", 10, 78534, "Schwabingen"));
		addressliste.add(new Adresse("Katharinenstrae ", 6, 20459, "Hamburg")); 
		
		personliste.add(new Person("Paul", "Mllerle", addressliste.get(0)));
		personliste.add(new Person("Ute", "Schmitt",   addressliste.get(1))); 
		
		for(Person p : personliste)
			System.out.println(p.getAnschrift());
		System.out.println("Anzahl der Personen: " + Person.getAnzahl());
	}

	/*
	public static void main(String[] args) 
	{
		Adresse a1 = new Adresse("Schtzlestrae", 10, 78534, "Schwabingen"); 
		Adresse a2 = new Adresse("Katharinenstrae ", 6, 20459, "Hamburg"); 
		Person p1 = new Person("Paul", "Mllerle", a1);
		Person p2 = new Person("Ute", "Schmitt", a2); 
		System.out.println(p1.getAnschrift());
		System.out.println(p2.getAnschrift());
		System.out.println("Anzahl der Personen: " + Person.getAnzahl());
	}
	*/


