import java.util.Vector;

public class Personal 
{
	// --- Instanzvariablen ---
	private Person person[]; 
	private int nummer[];
	
	// --- Konstruktor --- 
	public Personal(Person person[], int nummer[])
	{
		this.person = person.clone();
		this.nummer = nummer.clone();	
	}
	
	// --- Methoden --- 
	public Person getPerson(int i)
	{
		return person[i];
	}
	public double getGehalt(int i)
	{
		if (nummer[i] < 100)
			return 3000;
		else
			return 2000;
	}
	
	public static void main(String[] args) 
	{
		Person per[] = new Person[3];
		per[0] = new Person("Mller", "Erich", new Adresse("Weg", 1, 12345, "Stadt"));
		per[1] = new Person("Schulz", "Franz", new Adresse("Weg", 5, 12345, "Stadt"));
		per[2] = new Person("Schmid", "Jutta", new Adresse("Weg", 7, 12345, "Stadt"));
		Personal pl = new Personal(per, new int[]{13, 432, 23}); 
		for(int i=0; i<per.length; i++)
			System.out.printf("%s hat mtl. Gehalt = %1.2f Euro\n", 
					pl.getPerson(i).getAnschrift(), pl.getGehalt(i));
	}
}
