import java.util.ArrayList;
import java.util.regex.*;

public class Zeichenkette 
{
	public static ArrayList<String[]> findMuster(String s, String r)
	{
		ArrayList<String[]> liste = new ArrayList<String[]>();
		Matcher m = Pattern.compile(r).matcher(s); 
		while(m.find())
		{
			String elem[] = {m.group(), String.valueOf(m.start()), String.valueOf(m.end())}; 
			liste.add(elem);
		}
		return liste;
	}	

	public static void main(String[] args) 
	{
		String s = "234 3323 22123 12312343 2312312312345";
		ArrayList<String[]> liste = findMuster(s, "(123)+");
		for(String elem[] : liste)
			System.out.printf("%s: (%s - %s)\n", elem[0], elem[1], elem[2]);
	}	
}



	/*
	public static StringBuffer ersetzeEngBezeichner(String s)
	{
		Matcher m = Pattern.compile("Mr.|Miss" ).matcher(s); 
		StringBuffer sb = new StringBuffer(); 
		while (m.find())
		{
			if (m.group().equals("Mr."))
				m.appendReplacement(sb, "Herr"); 
			else 
				m.appendReplacement(sb, "Frau"); 				
		}
		m.appendTail(sb);
		return sb;
	}
	public static void main(String[] args) 
	{
		String s = "Mr. Mueller, Miss Ott und Mr. Vogt haben einen Hund.";
		System.out.println(ersetzeEngBezeichner(s));
	}
	*/
	

